<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class CraftCoffee_Templates_Source extends Elementor\TemplateLibrary\Source_Base {

	/**
	 * Template prefix
	 *
	 * @var string
	 */
	protected $template_prefix = 'craftcoffee_';

	/**
	 * Return templates prefix
	 *
	 * @return [type] [description]
	 */
	public function get_prefix() {
		return $this->template_prefix;
	}

	public function get_id() {
		return 'craftcoffee-templates';
	}

	public function get_title() {
		return __( 'CraftCoffee Templates', 'craftcoffee-elementor' );
	}

	public function register_data() {}

	public function get_items( $args = array() ) {
		
		$templates = array();

		$templates_data = array(
			1 	=> array(
				'template_id'      	=> $this->template_prefix .'1',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 1',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_1.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/',
			),
			2 	=> array(
				'template_id'      	=> $this->template_prefix .'2',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 2',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_2.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-2/',
			),
			3 	=> array(
				'template_id'      	=> $this->template_prefix .'3',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 3',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_3.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-3/',
			),
			4 	=> array(
				'template_id'      	=> $this->template_prefix .'4',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 4',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_4.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-4/',
			),
			5 	=> array(
				'template_id'      	=> $this->template_prefix .'5',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 5',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_5.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-5/',
			),
			6 	=> array(
				'template_id'      	=> $this->template_prefix .'6',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 6',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_6.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-6/',
			),
			7 	=> array(
				'template_id'      	=> $this->template_prefix .'7',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 7',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_7.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-7/',
			),
			8 	=> array(
				'template_id'      	=> $this->template_prefix .'8',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 8',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_8.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-8/',
			),
			9 	=> array(
				'template_id'      	=> $this->template_prefix .'9',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Home 9',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_9.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/home-9/',
			),
			10 	=> array(
				'template_id'      	=> $this->template_prefix .'10',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - About 1',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_10.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/about-1/',
			),
			11 	=> array(
				'template_id'      	=> $this->template_prefix .'11',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - About 2',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_11.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/about-2/',
			),
			12 	=> array(
				'template_id'      	=> $this->template_prefix .'12',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - About 3',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_12.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/about-3/',
			),
			13 	=> array(
				'template_id'      	=> $this->template_prefix .'13',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_13.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/menu/',
			),
			14 	=> array(
				'template_id'      	=> $this->template_prefix .'14',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Our Team',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_14.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('team'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/our-team/',
			),
			15 	=> array(
				'template_id'      	=> $this->template_prefix .'15',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Contact 1',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_15.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/contact-1/',
			),
			16 	=> array(
				'template_id'      	=> $this->template_prefix .'16',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Contact 2',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_16.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/contact-2/',
			),
			17 	=> array(
				'template_id'      	=> $this->template_prefix .'17',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Reservation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_17.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('reservation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/reservation/',
			),
			18 	=> array(
				'template_id'      	=> $this->template_prefix .'18',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Coffee Subscriptions',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_18.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('coffee-subscription'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/coffee-subscriptions/',
			),
			19 	=> array(
				'template_id'      	=> $this->template_prefix .'19',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Our Process',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_19.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('service'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/our-process/',
			),
			20 	=> array(
				'template_id'      	=> $this->template_prefix .'20',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Classic',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_20.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-classic/',
			),
			21 	=> array(
				'template_id'      	=> $this->template_prefix .'21',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Grid',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_21.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-grid/',
			),
			22 	=> array(
				'template_id'      	=> $this->template_prefix .'22',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Grid Overlay',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_22.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-grid-overlay/',
			),
			23 	=> array(
				'template_id'      	=> $this->template_prefix .'23',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio 3D Overlay',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_23.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-3d-overlay/',
			),
			24 	=> array(
				'template_id'      	=> $this->template_prefix .'24',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Contain',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_24.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-contain/',
			),
			25 	=> array(
				'template_id'      	=> $this->template_prefix .'25',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Masonry',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_25.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-masonry/',
			),
			26 	=> array(
				'template_id'      	=> $this->template_prefix .'26',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Masonry Grid',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_26.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-masonry-grid/',
			),
			27 	=> array(
				'template_id'      	=> $this->template_prefix .'27',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Coverflow',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_27.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-coverflow/',
			),
			28 	=> array(
				'template_id'      	=> $this->template_prefix .'28',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Timeline Horizon',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_28.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-timeline-horizon/',
			),
			29 	=> array(
				'template_id'      	=> $this->template_prefix .'29',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Portfolio Timeline Vertical',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_29.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/portfolio-timeline-vertical/',
			),
			/*30 	=> array(
				'template_id'      	=> $this->template_prefix .'30',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Single Portfolio 1',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_30.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/single-portfolio-1/',
			),
			31 	=> array(
				'template_id'      	=> $this->template_prefix .'31',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Single Portfolio 2',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_31.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/single-portfolio-2/',
			),
			32 	=> array(
				'template_id'      	=> $this->template_prefix .'32',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Single Portfolio 3',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_32.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/single-portfolio-3/',
			),
			33 	=> array(
				'template_id'      	=> $this->template_prefix .'33',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Single Portfolio 4',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_33.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/single-portfolio-4/',
			),
			34 	=> array(
				'template_id'      	=> $this->template_prefix .'34',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Single Portfolio 5',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_34.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/single-portfolio-5/',
			),*/
			35 	=> array(
				'template_id'      	=> $this->template_prefix .'35',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Video Grid',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_35.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('video'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/video-grid/',
			),
			36 	=> array(
				'template_id'      	=> $this->template_prefix .'36',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Blog',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_36.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog-grid/',
			),
						
			//Adding navigation menu block templates
			501 => array(
				'template_id'      	=> $this->template_prefix .'501',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Header 1',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_501.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/header/header-1/',
			),
			502 => array(
				'template_id'      	=> $this->template_prefix .'502',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Header 2',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_502.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/header/header-2/',
			),
			503 => array(
				'template_id'      	=> $this->template_prefix .'503',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Header 3',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_503.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/header/header-3/',
			),
			504 => array(
				'template_id'      	=> $this->template_prefix .'504',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Header 4',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_504.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/header/header-4/',
			),
			505 => array(
				'template_id'      	=> $this->template_prefix .'505',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Header 5',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_505.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/header/header-5/',
			),
			506 => array(
				'template_id'      	=> $this->template_prefix .'506',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Header 6',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_506.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/header/header-6/',
			),
			
			//Adding mega menu block templates
			601 => array(
				'template_id'      	=> $this->template_prefix .'601',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Mega Menu Home Grid',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_601.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/home-mega-menu/',
			),
			602 => array(
				'template_id'      	=> $this->template_prefix .'602',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Mega Menu Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_602.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/contact-mega-menu/',
			),
			603 => array(
				'template_id'      	=> $this->template_prefix .'603',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Mega Menu Food Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_603.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/menus-mega-menu/',
			),
			604 => array(
				'template_id'      	=> $this->template_prefix .'604',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Mega Menu Pages',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_604.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/pages-mega-menu/',
			),
			605 => array(
				'template_id'      	=> $this->template_prefix .'605',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Mega Menu Portfolio',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_605.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/portfolio-mega-menu/',
			),
			606 => array(
				'template_id'      	=> $this->template_prefix .'606',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Mega Menu Slider',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_606.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/slider-mega-menu/',
			),
			607 => array(
				'template_id'      	=> $this->template_prefix .'607',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Mega Menu Shop',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_607.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/shop-mega-menu/',
			),
			
			//Adding footer block templates
			701 => array(
				'template_id'      	=> $this->template_prefix .'701',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Footer 1',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_701.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/footer/footer/',
			),
			702 => array(
				'template_id'      	=> $this->template_prefix .'702',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Footer 2',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_702.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/footer/footer-2/',
			),
			703 => array(
				'template_id'      	=> $this->template_prefix .'703',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Footer 3',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_703.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/footer/footer-3/',
			),
			/*704 => array(
				'template_id'      	=> $this->template_prefix .'704',
				'source'            => $this->get_id(),
				'title'             => 'CraftCoffee - Footer 4',
				'thumbnail'         => 'https://assets.themegoods.com/demo/craftcoffee/templates/screenshots/craftcoffee_704.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1575280289 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/footer/footer-4/',
			),*/
		);
		
		if ( ! empty( $templates_data ) ) {
			foreach ( $templates_data as $template_data ) 
			{
				$templates_data['popularityIndex'] = 260;
				$templates_data['trendIndex'] = 125;
				
				$templates[] = $this->get_item( $template_data );
			}
		}

		if ( ! empty( $args ) ) {
			$templates = wp_list_filter( $templates, $args );
		}
		
		return $templates;
	}
	
	public function get_item( $template_data ) {
		return array(
			'template_id'     => $template_data['template_id'],
			'source'          => 'remote',
			'type'            => $template_data['type'],
			'subtype'         => $template_data['subtype'],
			'title'           => $template_data['title'],
			'thumbnail'       => $template_data['thumbnail'],
			'date'            => $template_data['date'],
			'author'          => $template_data['author'],
			'tags'            => $template_data['tags'],
			'isPro'           => ( 1 == $template_data['isPro'] ),
			'popularityIndex' => (int) $template_data['popularityIndex'],
			'trendIndex'      => (int) $template_data['trendIndex'],
			'hasPageSettings' => ( 1 == $template_data['hasPageSettings'] ),
			'url'             => $template_data['url'],
			'favorite'        => ( 1 == $template_data['favorite'] ),
			'accessLevel'     => 0,
		);
	}

	public function save_item( $template_data ) {
		return false;
	}

	public function update_item( $new_data ) {
		return false;
	}

	public function delete_template( $template_id ) {
		return false;
	}

	public function export_template( $template_id ) {
		return false;
	}

	public function get_data( array $args, $context = 'display' ) {
		$url	  = 'https://assets.themegoods.com/demo/craftcoffee/templates/json/'.$args['template_id'].'.json';
		$response = wp_remote_get( $url, array( 'timeout' => 60 ) );
		$body     = wp_remote_retrieve_body( $response );
		$body     = json_decode( $body, true );
		$data     = ! empty( $body['content'] ) ? $body['content'] : false;
		
		$result = array();

		$result['content']       = $this->replace_elements_ids($data);
		$result['content']       = $this->process_export_import_content( $result['content'], 'on_import' );
		$result['page_settings'] = array();

		return $result;
	}
}
